# Util (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class Util

    java.lang.Object
      org.lwjgl.opengl.Util

    public final class Util

extends java.lang.Object

Simple utility class.

Version:
  $Revision$
Author:
  cix_foo <cix_foo@users.sourceforge.net>

Method Summary
`static void` `checkGLError()` Throws OpenGLException if glGetError() returns anything else than GL_NO_ERROR
`static java.lang.String` `translateGLErrorString(int error_code)` Translate a GL error code to a String describing the error

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkGLError

    public static void checkGLError()
                             throws OpenGLException

  Throws OpenGLException if glGetError() returns anything else than GL_NO_ERROR

  Throws:
    `OpenGLException`

### translateGLErrorString

    public static java.lang.String translateGLErrorString(int error_code)

  Translate a GL error code to a String describing the error

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.